xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2009 Adam Vogt
License | BSD-style (see xmonad/LICENSE)
Maintainer | vogt.adam@gmail.com
Stability | unstable
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Hooks.InsertPosition

Contents

- Usage

Description

Configure where new windows should be added and which window should be focused.

Synopsis

- insertPosition :: Position -> Focus -> ManageHook
- data Focus
  - = Newer
  - | Older
- data Position
  - = Master
  - | End
  - | Above
  - | Below

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Hooks.InsertPosition
    xmonad def { manageHook = insertPosition Master Newer <> myManageHook }

You should you put the manageHooks that use `doShift` to take effect before `insertPosition`, so that the window order will be consistent. Because ManageHooks compose from right to left (like function composition `.`), this means that `insertPosition` should be the leftmost ManageHook.

insertPosition :: Position -> Focus -> ManageHook #

insertPosition. A manage hook for placing new windows. XMonad's default is the same as using: `insertPosition Above Newer`.

data Focus #

Constructors

Newer |
Older |

data Position #

Constructors

Master |
End |
Above |
Below |